import { createSlice } from "@reduxjs/toolkit";

const initialState = {
    editProfileModalVisible: false,
};

const usersSlice = createSlice({
    name: "usersUI",
    initialState,
    reducers: {
        openEditProfileModal(state) {
            state.editProfileModalVisible = true;
        },
        closeEditProfileModal(state) {
            state.editProfileModalVisible = false;
        },
    },
});

export const { openEditProfileModal, closeEditProfileModal } = usersSlice.actions;

export default usersSlice.reducer;